## dictionary-el 1.8.5

=== Makefile ===
# -*- Makefile -*- $Id: Makefile,v 1.8 2002/10/12 09:54:09 torsten Exp $

EMACS=emacs

VERSION=1.8
PACKAGE=dictionary
TYPE=comm
XEMACS-PACKAGE=$(PACKAGE)-$(VERSION)-pkg.tar.gz

SOURCES=dictionary.el connection.el link.el
COMPILED=dictionary.elc connection.elc link.elc

.SUFFIXES: .elc .el

.el.elc:
	$(EMACS) -q -no-site-file -no-init-file -batch -l lpath.el \
	-f batch-byte-compile $<

.PHONY: all
all: $(COMPILED)

.PHONY: debian
debian:
	[ -x debian ] || ln -s deb debian
	@if [ -x /usr/bin/fakeroot ]; then \
	  dpkg-buildpackage -us -uc -rfakeroot; \
	elif [ `id -u` -ne 0 ]; then \
	  echo "You are not root and fakeroot is not installed, aborting"; \
	  exit 1; \
	else \
	  dpkg-buildpackage -us -uc; \
	fi
	@echo "You can now install the debian package, the previous output tells"
	@echo "you its location (probably stored in ..)"
	@echo
	@echo "Please note, this debian package is unofficial, report bugs"
	@echo "to me only, not to the Debian Bugtracking System."

.PHONY: package
package: $(XEMACS-PACKAGE) 

$(XEMACS-PACKAGE): $(COMPILED)
	@case $(EMACS) in emacs*) printf "\aNote, packages work with XEmacs 21 only, hope you know what you are doing\n\n";; esac
	@mkdir -p lisp/$(PACKAGE)
	@mkdir -p pkginfo
	@printf ";;;###autoload\n(package-provide '$(PACKAGE)\n:version $(VERSION)\n:type '$(TYPE))\n" > lisp/$(PACKAGE)/_pkg.el
	@rm -f lisp/$(PACKAGE)/auto-autoloads.el lisp/$(PACKAGE)/custom-load.el
	@cp $(SOURCES) $(COMPILED) lisp/$(PACKAGE)
	@cd lisp &&  \
	$(EMACS) -vanilla -batch -l autoload -f batch-update-directory $(PACKAGE) && \
	$(EMACS) -vanilla -batch -l cus-dep -f Custom-make-dependencies $(PACKAGE) && \
	$(EMACS) -vanilla -batch -f batch-byte-compile $(PACKAGE)/auto-autoloads.el $(PACKAGE)/custom-load.el
	@touch pkginfo/MANIFEST.$(PACKAGE)
	@find lisp pkginfo -type f > pkginfo/MANIFEST.$(PACKAGE)
	@tar cf - pkginfo lisp | gzip -c > $(XEMACS-PACKAGE)

.PHONY: package-install
package-install: package
	@if [ `id -u` -ne 0 ]; then printf "\aWarning, you are not root; the installation might fail\n\n"; fi
	@$(EMACS) -vanilla -batch -l install-package.el -f install-package `pwd`/$(XEMACS-PACKAGE)

.PHONY: view-info
view-info: info
	info doc/dictionary.info

.PHONY: doc
doc: info html

.PHONY: info
info: doc/dictionary.info

doc/dictionary.info: doc/dictionary.texi
	cd doc && makeinfo --output dictionary.info dictionary

.PHONY: html
html: doc/dictionary

doc/dictionary: doc/dictionary.texi
	cd doc && makeinfo --html dictionary

.PHONY: clean
clean:
	rm -f $(XEMACS-PACKAGE) $(COMPILED) build
	rm -rf debian/tmp lisp pkginfo

## dictionary-el 1.8.7

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,14 @@
 
 SOURCES=dictionary.el connection.el link.el
 COMPILED=dictionary.elc connection.elc link.elc
+
+# For make dist
+LISP_FILES=connection.el dictionary.el link.el lpath.el dictionary-init.el \
+           install-package.el
+DOC_FILES=README GPL Makefile
+DEB_FILES=README.debian control copyright install.debian postinst \
+          prerm remove.debian rules changelog dirs
+DEB_DIR=deb
 
 .SUFFIXES: .elc .el
 
@@ -78,6 +86,20 @@
 doc/dictionary: doc/dictionary.texi
 	cd doc && makeinfo --html dictionary
 
+.PHONY: dist
+dist:
+	@[ -x debian ] || ln -s deb debian; \
+	VERSION=$$(dpkg-parsechangelog | perl -n -e '/^Version: (.*)-/ && print "$$1\n"'); \
+	DIR=$$(mktemp -d); \
+	DESTDIR="$$DIR/dictionary-$$VERSION"; \
+	install -d $$DESTDIR; \
+	install $(LISP_FILES) $(DOC_FILES) $$DESTDIR; \
+	mkdir $$DESTDIR/$(DEB_DIR); \
+	cd $(DEB_DIR) && install $(DEB_FILES) $$DESTDIR/$(DEB_DIR); \
+	tar czf $(CURDIR)/dictionary-$$VERSION.tar.gz -C $$DIR .; \
+	rm -r $$DIR; \
+	echo "dictionary-$$VERSION.tar.gz has been created"
+
 .PHONY: clean
 clean:
 	rm -f $(XEMACS-PACKAGE) $(COMPILED) build

## dictionary-el 1.8.7-2

=== debian/changelog ===
dictionary-el (1.8.7-2) unstable; urgency=low

  * debian/emacsen-startup: cope with being unable to load
    dictionary-init, as this package is not always fully
    installed/configured.  (Closes: #308335.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 18 May 2005 18:50:11 -0400

dictionary-el (1.8.7-1) unstable; urgency=low

  * New upstream release:
     "* fixed decoding problem while displaying the dictionary selection
        in dictionary-select-dictionary (reported by Kuno Strassmann)
      * added patch fixing the wrong display of dictionary description
        (provided by Sergei Pokrovsky)
      * added dictionary-description-open-delimiter and
        dictionary-description-close-delimiter (suggested by Sergei
        Pokrovsky)"
  * debian/rocks: removed (obsolete artifact of CBS).
  * debian/rules: force sane permissions (0644, not 0755!) on *.el.
  * debian/watch: new, to help track upstream.

 -- Aaron M. Ucko <ucko@debian.org>  Sun,  2 Jan 2005 11:38:53 -0500

dictionary-el (1.8.5-2) unstable; urgency=low

  * debian/control:
    - Standards-version 3.6.1.
    - Rename Build-Depends-Indep to Build-Depends.
    - Bump build dependency on debhelper to 4.1.46 per cdbs's advice.
  * debian/copyright: added years.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 14 Jan 2004 18:20:16 -0500

dictionary-el (1.8.5-1) unstable; urgency=low

  * New upstream release:
    "* added variable dictionary-use-single-buffer to allow selecting
       between single/multiple buffers for dictionary access
     * added tooltip support for XEmacs based on balloon-help"
  * Convert from CBS to CDBS.
  * Fix case in short description.
  * emacsen-install: use -(-)no-site-file.
  * emacsen-startup: load dictionary-init rather than duplicating it!
  * Bump standards version to 3.5.10 (no changes).

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 26 Jun 2003 20:58:40 -0400

dictionary-el (1.8.4-1) unstable; urgency=low

  * New upstream release (no relevant changes, but I'm putting out new
    packages anyway, so I might as well take it...).
  * Fix "Upstream Author(s)" in debian/copyright.
  * Replace debian/rules with CBS.
  * Bump standards version to 3.5.8; no changes required.

 -- Aaron M. Ucko <ucko@debian.org>  Thu,  5 Dec 2002 22:00:58 -0500

dictionary-el (1.8.3-1) unstable; urgency=low

  * Initial Release (closes: #164490, #111436)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 12 Oct 2002 18:57:44 -0400

=== debian/control ===
Source: dictionary-el
Section: text
Priority: optional
Maintainer: Aaron M. Ucko <ucko@debian.org>
Build-Depends: cdbs, debhelper (>= 4.1.46)
Standards-Version: 3.6.1

Package: dictionary-el
Architecture: all
Depends: emacs21 | emacsen
Recommends: emacs21 | mule-ucs
Provides: dict-client
Conflicts: dictionary
Description: dictionary client for Emacs
 dictionary-el is a DICT (RFC 2229) client for (X)Emacs, with support
 for brace-delimited cross references and UTF-8-encoded entries.
 Note that XEmacs bundles a slightly older version of this package.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

common-install-indep::
	install -m644 *.el debian/dictionary-el/usr/share/emacs/site-lisp/dictionary-el

=== debian/watch ===
version=2
http://www.myrkr.in-berlin.de/dictionary/download.html dictionary-([\d\.]+).tar.gz

## dictionary-el 1.10

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,7 @@
-# -*- Makefile -*- $Id: Makefile,v 1.8 2002/10/12 09:54:09 torsten Exp $
-
+# -*- Makefile -*-
 EMACS=emacs
 
-VERSION=1.8
+VERSION=1.10
 PACKAGE=dictionary
 TYPE=comm
 XEMACS-PACKAGE=$(PACKAGE)-$(VERSION)-pkg.tar.gz
@@ -15,7 +14,8 @@
            install-package.el
 DOC_FILES=README GPL Makefile
 DEB_FILES=README.debian control copyright install.debian postinst \
-          prerm remove.debian rules changelog dirs
+          prerm remove.debian rules changelog dictionary.install \
+	  compat
 DEB_DIR=deb
 
 .SUFFIXES: .elc .el
@@ -29,7 +29,7 @@
 
 .PHONY: debian
 debian:
-	[ -x debian ] || ln -s deb debian
+	@[ -x debian ] || ln -s deb debian
 	@if [ -x /usr/bin/fakeroot ]; then \
 	  dpkg-buildpackage -us -uc -rfakeroot; \
 	elif [ `id -u` -ne 0 ]; then \
@@ -95,7 +95,7 @@
 	install -d $$DESTDIR; \
 	install $(LISP_FILES) $(DOC_FILES) $$DESTDIR; \
 	mkdir $$DESTDIR/$(DEB_DIR); \
-	cd $(DEB_DIR) && install $(DEB_FILES) $$DESTDIR/$(DEB_DIR); \
+	cd $(DEB_DIR) && install -m 644 $(DEB_FILES) $$DESTDIR/$(DEB_DIR); \
 	tar czf $(CURDIR)/dictionary-$$VERSION.tar.gz -C $$DIR .; \
 	rm -r $$DIR; \
 	echo "dictionary-$$VERSION.tar.gz has been created"

## dictionary-el 1.10+git20190107

=== debian/changelog ===
dictionary-el (1.10+git20190107-3) unstable; urgency=medium

  [ David Bremner ]
  * Implicitly rebuild with dh-elpa 2.x.

  [ Aaron M. Ucko ]
  * .gitignore: Drop debian (a conditional symlink upstream).
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Upgrade to newer source format 3.0 (quilt).

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 28 Jan 2021 22:19:23 -0500

dictionary-el (1.10+git20190107-2) unstable; urgency=medium

  * debian/dictionary-el.maintscript: New, to clean up old site-start file.
    Account for delayed cleanup by setting a cutoff of -2~, not -1~.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 26 Jan 2019 20:21:28 -0500

dictionary-el (1.10+git20190107-1) unstable; urgency=medium

  * New upstream snapshot, incorporating most previous outstanding Debian
    changes and adding among other things support for custom definition
    body faces, preferably variable-width.  (Closes: #864644.)
  * Rework packaging in terms of dh-elpa.  (There's little benefit in
    keeping formal XEmacs support when XEmacs already bundles a version.)
    - debian/control:
      + Build-depend on dh-elpa.
      + Rename the main binary package to elpa-dictionary (but leave the
        source package name as is, at least for now.)
      + Add a formal dependency on ${elpa:Depends}; relegate emacs to
        Recommends and Enhances.
      + Turn dictionary-el into a transitional dummy package.
    - debian/dictionary-pkg.el: New, based on the generated version but
      with (internal) dependencies commented out.
    - debian/{dirs,emacsen-*}: Removed, no longer needed.
    - debian/elpa-dictionary.elpa: New, listing files to install.
    - debian/rules: Replace with a dh-elpa oneliner.
  * debian/compat: Advance to level 11 (from 9).
  * debian/control:
    - Bump debhelper version requirement to 11~ accordingly.
    - Rules-Requires-Root: no (confirmed safe).
    - Repoint Vcs-{Browser,Git} at salsa.
    - Standards-Version: 4.3.0 (already compliant).
  * debian/copyright: Extend upstream copyright through 2014.  (The only
    subsequent upstream change was merging a small patch contributed by a
    third party, and as such doesn't count.)
  * debian/source/format: Explicitly set to 1.0.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 10 Jan 2019 22:19:53 -0500

dictionary-el (1.10-3) unstable; urgency=medium

  * debian/control: Canonicalize per cme.  In particular, declare
    Standards-Version: 3.9.8 (already compliant, in fact).
  * dictionary.el:
    - Per Hermógenes Oliveira <oliveira-guest@alioth.debian.org>,
      adjust buffer-read-only rather than calling toggle-read-only, which
      is deprecated and can have unwanted side effects.  (Closes: #850279.)
    - Per the ever-patient Kevin Ryde <user42@zip.com.au>, adjust
      dictionary-tooltip-dictionary's defcustom type to acknowledge that nil
      (the default value) is in fact valid.  (Closes: #719041.)  Also, tweak
      dictionary-display-tooltip (used by GNU Emacs) to proceed even if
      dictionary-tooltip-dictionary is nil, as already done for XEmacs.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 05 Jan 2017 21:32:36 -0500

dictionary-el (1.10-2) unstable; urgency=medium

  * debian/control:
    - Depend on emacsen-common (>= 2.0.8), per the new emacsen policy.
    - Standards-Version: 3.9.5 (already compliant).
  * debian/copyright: Belatedly update years (accidentally missed earlier).
  * debian/emacsen-compat: Declare compliance with modern policy.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 17 Jun 2014 10:46:58 -0400

dictionary-el (1.10-1) unstable; urgency=low

  * New upstream release, incorporating among other things all outstanding
    Debian changes.  (Closes: #709093.)
  * Standards-Version: 3.9.4 (already compliant).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 21 May 2013 22:33:25 -0400

dictionary-el (1.8.7-15) unstable; urgency=low

  * dictionary.el:
    - (dictionary-display-dictionary-line) Special-case "--exit--", which
      doesn't name a dictionary but rather marks the end of the server's
      default search list.  (Closes: #611941.)
    - When customizing dictionary-server or other connection-related
      variables with a connection already open, offer to close it so
      that the change can take immediate effect.  (Closes: #611943.)
  * dictionary-init.el: Register dictionary and dictionary-proxy as
    customization groups associated with dictionary.el.  (Closes: #611942.)
  * debian/compat: formally advance to Debhelper 9.
  * debian/control:
    - Advance debhelper build dependency accordingly.
    - Drop Recommends; mule-ucs is long gone, and trying to recommend it
      only in the absence of a modern emacs flavor failed to account for
      the (unofficial) emacs-snapshot package.  (Closes: #660901.)
    - Repoint Vcs-* fields at anonscm.debian.org (vs. git.debian.org).
    - Standards-Version: 3.9.3 (already compliant).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 19 Jun 2012 22:34:10 -0400

dictionary-el (1.8.7-14) unstable; urgency=low

  * dictionary.el (dictionary-mode): call make-local-hook only under XEmacs;
    GNU Emacs deprecated it back in version 21, and will retire it altogether
    in the upcoming version 24.  (Closes: #600800.)
  * debian/compat: formally advance to Debhelper 8, as it is safe to do so.
  * debian/control:
    - Advance debhelper build-dependency accordingly.
    - Update Recommends: again, as emacs22 and emacs-snapshot are no more.
    - Standards-Version: 3.9.1.  (No further changes needed.)
    - Set Vcs-* fields to point to (new) personal git.d.o repository.
  * debian/.gitignore: Direct git to ignore content generated during build.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 23 Oct 2010 22:49:06 -0400

dictionary-el (1.8.7-13) unstable; urgency=low



=== debian/control ===
Source: dictionary-el
Maintainer: Aaron M. Ucko <ucko@debian.org>
Section: lisp
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-elpa
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/ucko/dictionary-el
Vcs-Git: https://salsa.debian.org/ucko/dictionary-el.git
Homepage: https://www.myrkr.in-berlin.de/dictionary/
Rules-Requires-Root: no

Package: elpa-dictionary
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs
Enhances: emacs
Provides: dict-client
Description: dictionary client for Emacs
 elpa-dictionary is a DICT (RFC 2229) client for Emacs, with support
 for brace-delimited cross references and UTF-8-encoded entries.

Package: dictionary-el
Architecture: all
Section: oldlibs
Depends: elpa-dictionary,
         ${misc:Depends}
Description: transitional dummy package, dictionary-el to elpa-dictionary
 This dummy package may be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with elpa

=== debian/watch ===
version=4
http://www.myrkr.in-berlin.de/dictionary/download.html dictionary-([\d\.]+).tar.gz
